Payments & Fund TransfersPaymentsActions for Maker-Checker
Reject a Payment
Authorization
authorization AuthorizationBearer <token>
Set Your Secret API Key
In: header
Path Parameters
id*string
Header Parameters
Idempotency-Key?string
A unique value, eg. a UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
rejectionReason*string
Reason provided by the checker for the rejection.
Length
1 <= lengthResponse Body
*/*
curl -X POST "https://example.com/v1/payments/string/reject" \ -H "Content-Type: application/json" \ -d '{ "rejectionReason": "string" }'{ "actualPaymentDate": "string", "amount": 0, "bankChargeAmount": 0, "bankChargeBearer": "string", "bankChargeCurrency": "string", "bankReference": "string", "bankReferences": { "property1": "string", "property2": "string" }, "batchId": "string", "createdAt": "string", "currency": "string", "currencyExchange": { "fxContractId": "string" }, "customerReference": "string", "id": "string", "instructionForSenderBank": "string", "paymentAdviceEmails": [ "string" ], "paymentDate": "string", "paymentDetails": "string", "purposeOfPayment": "string", "receiver": { "address": { "city": "string", "country": "string", "line1": "string", "line2": "string", "postalCode": "string", "state": "string" }, "bank": "string", "bankAccountNumber": "string", "intermediaryBank": "string", "localRoutingIdentifier": "string", "name": "string", "proxyType": "string", "proxyValue": "string" }, "resultCode": "string", "review": { "approvedAt": "string", "approvedBy": "string", "expiresAt": "string", "rejectedAt": "string", "rejectedBy": "string", "rejectionReason": "string", "requestedBy": "string" }, "senderAccountCurrency": "string", "senderAccountId": "string", "status": "string", "type": "string", "underlyingErrorMessage": "string", "updatedAt": "string"}